## eole-workstation-joineole 2.9.0-14

=== debian/changelog ===
eole-workstation-joineole (2.9.0-14) eole-2.9.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [4b3602a] Bootstrap version 2024.07.23
  * [bd76502] Maj installMinion avec gestion Linux Mint 20, 21, 22 + VERSION=3006

  [ Joël Cuissinat ]
  * [3b8b910] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b2908e8] Joël Cuissinat: Update package since “debian/eole/2.9.0-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 27 Aug 2024 15:43:46 +0200

eole-workstation-joineole (2.9.0-13) eole-2.9.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [3ea9351] Suppression settings eclipse installMinion.ps1

  [ Joël Cuissinat ]
  * [7a52117] installMinion.ps1 : re-fix encoding for EOLE 2.9
  * [af6a054] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [19b2e9a] Joël Cuissinat: Update package since “debian/eole/2.9.0-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 17 Jul 2023 16:54:30 +0200

eole-workstation-joineole (2.9.0-12) eole-2.9.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fe55f1c] Bootstrap Version "2023.04.26"

  [ Joël Cuissinat ]
  * [5494306] Merge branch '2.8.0/master' into 2.8.1/master
  * [b0049c6] Merge branch '2.8.1/master'

  [ Gilles Grandgérard ]
  * [28ee67a] Correction 3006.1 (pb encoding ps1)
  * [372c40e] Merge branch '2.7.2/master' into 2.8.0/master
  * [3fe532d] Merge branch '2.8.0/master' into 2.8.1/master
  * [76e9bca] Merge branch '2.8.1/master'
  * [288a2b2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f7fc41a] Gilles Grandgérard: Update package since “debian/eole/2.9.0-11”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Tue, 04 Jul 2023 14:39:26 +0200

eole-workstation-joineole (2.9.0-11) eole-2.9.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [2f9d15b] typo sha256
  * [40d8664] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d3003dc] Gilles Grandgérard: Update package since “debian/eole/2.9.0-10”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 22 May 2023 10:51:46 +0200

eole-workstation-joineole (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [b443cc7] Correction pb encoding
  * [30e6dfb] ajout setting encoding
  * [974d00a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4c55e25] Gilles Grandgérard: Update package since “debian/eole/2.9.0-9”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 22 May 2023 10:48:45 +0200

eole-workstation-joineole (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [778957e] Bootstrap Version "2023.04.26"
  * [d7e2ccc] Suppression des fichiers locaux, avant téléchargement
  * [789f04d] Merge branch 'master' into dist/eole/2.9.0/master
  * [b2343a4] maj README
  * [1c21482] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ac20911] Gilles Grandgérard: Update package since “debian/eole/2.9.0-8”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Tue, 16 May 2023 14:53:35 +0200

## eole-workstation-joineole 2.9.0-15

=== debian/changelog ===
eole-workstation-joineole (2.9.0-15) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [78d1468] backport modification 2.10 + mise à jour du dépôt d'installation de salt-minion (ref #36410)
  * [b95772d] Merge branch '2.8.1/master' into 2.9.0/master
  * [a062ffe] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b169434] Emmanuel Garette: Update package since “debian/eole/2.9.0-14”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 12:16:15 +0100

## eole-workstation-joineole 2.10.0-8

=== debian/changelog ===
eole-workstation-joineole (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [8734241] fix(linux): le nom des dépôts snapshots salt est incorrecte
  * [822f66c] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [505d6b3] Daniel Dehennin: Update package since “debian/eole/2.10.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 07 May 2025 09:48:14 +0200

eole-workstation-joineole (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [697f48e] Passage de la version 3007.1-eole.3.1 à 3007.1-eole.5.
  * [18fec62] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [0d813f6] Benjamin Bohard: Update package since “debian/eole/2.10.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 16 Apr 2025 09:23:47 +0200

eole-workstation-joineole (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [eb78721] fix: update supported versions
  * [e15f1ef] Merge branch '2.8.1/36636--Salt-Minion-3007'
  * [67d1b96] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8f4c445] Joël Cuissinat: Update package since “debian/eole/2.10.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 11 Apr 2025 10:57:26 +0200

eole-workstation-joineole (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [83bfc33] fix: plus besoin de `startup_states`
  * [af7397d] Merge branch 'fix/no-startup_states'
  * [adbaf90] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6db1081] Daniel Dehennin: Update package since “debian/eole/2.10.0-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 31 Mar 2025 14:47:38 +0200

eole-workstation-joineole (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [7959919] feat: update minion to 3007.1
  * [405bdaa] Merge branch '2.8.1/36636--Salt-Minion-3007'
  * [d29cffd] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [aa3439a] Joël Cuissinat: Update package since “debian/eole/2.10.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 18 Mar 2025 10:50:22 +0100

eole-workstation-joineole (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [4b3602a] Bootstrap version 2024.07.23
  * [bd76502] Maj installMinion avec gestion Linux Mint 20, 21, 22 + VERSION=3006

  [ Emmanuel Garette ]
  * [78d1468] backport modification 2.10 + mise à jour du dépôt d'installation de salt-minion (ref #36410)
  * [b95772d] Merge branch '2.8.1/master' into 2.9.0/master
  * [7b31e8a] Merge branch '2.9.0/master'
  * [8e8acc6] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c3401b4] Emmanuel Garette: Update package since “debian/eole/2.10.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 12:17:00 +0100

eole-workstation-joineole (2.10.0-2) eole-2.10.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [aa88f4b] Adaptation salt et veyon vers 'outils'
  * [0e4b833] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [550f7f8] Gilles Grandgérard: Update package since “debian/eole/2.10.0-1”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 27 Nov 2024 10:25:29 +0100

eole-workstation-joineole (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a7a29ee] Prepare release 2.10.0
  * [32c83ce] Merge branch 'master' into dist/eole/2.10.0/master

  [ Gilles Grandgérard ]
  * [0fca97f] Bootstrap version 2024.07.23
  * [0e39de3] Maj installMinion avec gestion Linux Mint 20, 21, 22 + VERSION=3006
  * [7792b6a] Merge branch 'master' of https://dev-eole.ac-dijon.fr/git/eole-workstation-joineole
  * [105a0ae] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [1f70e7c] Gilles Grandgérard: Update package since “debian/eole/2.9.0-13”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Fri, 23 Aug 2024 14:56:49 +0200

## eole-workstation-joineole 2.10.0-13

=== Makefile ===
###########################################
# Makefile pour eole-workstation-joineole #
###########################################

SOURCE=eole-workstation-joineole
VERSION=2.10
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-workstation-joineole (2.10.0-13) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [368b36f] fix(windows): downgrade minion to 3007.5
  * [2247282] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6c657c4] Daniel Dehennin: Update package since “debian/eole/2.10.0-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 26 Aug 2025 16:28:17 +0200

eole-workstation-joineole (2.10.0-12) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [109dab6] feat(windows): update minion to 3007.6
  * [a80abc5] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b0fd995] Joël Cuissinat: Update package since “debian/eole/2.10.0-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 Aug 2025 12:44:11 +0200

eole-workstation-joineole (2.10.0-11) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [99b00e7] feat(bootstrap): __ScriptVersion="2025.02.24"
  * [0cd939a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a5cd880] Joël Cuissinat: Update package since “debian/eole/2.10.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 25 Jul 2025 12:18:33 +0200

eole-workstation-joineole (2.10.0-10) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [ceb3fcf] fix: compile installMinion binaries
  * [2790db0] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c4c5c72] Daniel Dehennin: Update package since “debian/eole/2.10.0-9”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 17 Jun 2025 17:13:20 +0200

eole-workstation-joineole (2.10.0-9) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3f7fdd1] fix: minion can be started with an empty RSA key file
  * [3db37ee] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9d4c5f4] Daniel Dehennin: Update package since “debian/eole/2.10.0-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 17 Jun 2025 15:37:17 +0200

=== debian/control ===
Source: eole-workstation-joineole
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13)
Standards-Version: 4.6.0
Homepage: http://pcll.ac-dijon.fr/eole
Vcs-Git: https://dev-eole.ac-dijon.fr/git/eole-workstation-joineole.git
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/eole-workstation/repository/eole-workstation-joineole

Package: eole-workstation-joineole
Architecture: all
Depends: ${misc:Depends}, nginx
Description: Install scripts for eole-workstation
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-gpo-joineole
Architecture: all
Depends: ${misc:Depends}
Description: Install scripts for eole-gpo-script
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_builddeb:

	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb

## eole-workstation-joineole 2.10.0-14

=== debian/changelog ===
eole-workstation-joineole (2.10.0-14) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d5cbd8d] feat(linux): update salt to 3007.6-eole.1
  * [ff9925c] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4e58f62] Daniel Dehennin: Update package since “debian/eole/2.10.0-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 24 Nov 2025 16:17:06 +0100
